# ``twisted`.`protocols`.`haproxy`.`_parser`.`HAProxyServerParser``

class documentation

`class HAProxyServerParser: (source)`

Implements interfaces: `twisted.internet.interfaces.IStreamServerEndpointStringParser`, `twisted.plugin.IPlugin`

View In Hierarchy

Stream server endpoint string parser for the HAProxyServerEndpoint type.

Method | `parseStreamServer` | Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.
Instance Variable | `prefix` | See `IStreamServerEndpointStringParser.prefix`.

def parseStreamServer(self, reactor, *args, **kwargs): (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`
Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.

Parameters
reactor:`interfaces.IReactorCore` | The reactor.
*args:`object` | The parsed string arguments.
**kwargs:`object` | The parsed keyword arguments.
Returns
`IStreamServerEndpoint` | a stream server endpoint

prefix: `str` = (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`
See `IStreamServerEndpointStringParser.prefix`.